#!/usr/bin/env python3

import argparse
import shapefile
from os import path
import pprint

parser = argparse.ArgumentParser()
parser.add_argument("directory", help = "containing the three shapefiles")
args = parser.parse_args()

eddy_index = input("eddy_index = ? ")
eddy_index = int(eddy_index)
ishape = eddy_index - 1

for basename in ["extremum", "outermost_contour", "max_speed_contour"]:
    filename = path.join(args.directory, basename)
    
    with shapefile.Reader(filename) as f:
        shapeRec = f.shapeRecord(ishape)
        print("\n", filename, ":")

        if shapeRec.shape.shapeType == shapefile.NULL:
            dct = shapeRec.record.as_dict()
            pprint.pprint(dct)
            print("null shape")
        else:
            pprint.pprint(shapeRec.__geo_interface__)
